Page MenuHomePhabricator

Watchlist Expiry: Expiry period in pop-up success message should be translated [[MEDIUM]]
Closed, ResolvedPublicBUG REPORT

Description

As a Watchlist Expiry user, I want the temporary watch period selection to be translated into my wiki language, so that I can properly use and understand the tool in my language of choice.

Background: As a non-English speaking watchlist expiry user, after selecting a temporary expiry via the pop-up, the success message should display the expiry time in my chosen language, so I know I have made the correct selection. This will become more noticable after T258662 is fixed.

Steps to reproduce problem:
1. Go to https://en.wikipedia.beta.wmflabs.org/wiki/Math_test?uselang=de

  1. Click the watch star
  2. Click the expiry dropdown to open it, but then use your keyboard down arrow to select "1 Woche" and press enter

Expected behavior: Message above the expiry dropdown says: „Math test“ und die Diskussionsseite wurden für 1 woche zu deiner Beobachtungsliste hinzugefügt.
Observed behavior: Message says: „Math test“ und die Diskussionsseite wurden für 1 week zu deiner Beobachtungsliste hinzugefügt.
Environment - Wiki(s): https://en.wikipedia.beta.wmflabs.org MediaWiki 1.36.0-alpha (50f3cc2) 2020-07-28T06:23:42

Acceptance Criteria:

  • Fix bug that displays "week" instead of "woche" in the example described above

Screenshots (if applicable):

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 28 2020, 9:25 AM
ifried updated the task description. (Show Details)Jul 30 2020, 3:22 PM
ifried updated the task description. (Show Details)
ARamirez_WMF renamed this task from Watchlist Expiry: Expiry period in pop-up success message should be translated to Watchlist Expiry: Expiry period in pop-up success message should be translated [[MEDIUM]].Jul 30 2020, 5:20 PM
ARamirez_WMF moved this task from To Be Estimated/Discussed to Estimated on the Community-Tech board.
Restricted Application edited projects, added Community-Tech; removed Community-Tech (Kanban-2020-21-Q1). · View Herald TranscriptJul 30 2020, 5:24 PM

Change 617794 had a related patch set uploaded (by HMonroy; owner: HMonroy):
[mediawiki/core@master] Translate expiry period in pop-up message for watchlist expiry

https://gerrit.wikimedia.org/r/617794

Change 617794 merged by jenkins-bot:
[mediawiki/core@master] Translate expiry period in pop-up message for watchlist expiry

https://gerrit.wikimedia.org/r/617794

Change 617811 had a related patch set uploaded (by MusikAnimal; owner: HMonroy):
[mediawiki/core@REL1_35] Translate expiry period in pop-up message for watchlist expiry

https://gerrit.wikimedia.org/r/617811

Change 617811 merged by jenkins-bot:
[mediawiki/core@REL1_35] Translate expiry period in pop-up message for watchlist expiry

https://gerrit.wikimedia.org/r/617811

I can no longer reproduce this issue on https://test.wikipedia.org (1.36.0-wmf.4 (rMW045304d88bc8) 02:09, 11 August 2020).

ifried closed this task as Resolved.Aug 18 2020, 9:41 PM
ifried added a subscriber: ifried.

I have also tested this and it looks good. It is now showing "woche" instead of "week." For this reason, I'm marking it as Done.